Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.geoloc
Class GeolocResultsDtoSerializer

    java.lang.Object
      com.gisgraphy.domain.geoloc.service.geoloc.GeolocResultsDtoSerializer

All Implemented Interfaces:
  IGeolocResultsDtoSerializer

    public class GeolocResultsDtoSerializer

extends java.lang.Object
implements IGeolocResultsDtoSerializer

serialize @link `GeolocResultsDto` into several formats

Author:
  David Masclet

Field Summary
`protected net.sf.json.JsonConfig` | `jsonConfig` Json filter, to not serialize all the properties

Constructor Summary
`GeolocResultsDtoSerializer()` Default Constructor

Method Summary
`void` | `serialize(java.io.OutputStream outputStream, Output.OutputFormat outputFormat, GeolocResultsDto geolocResultsDto, boolean indent, int startPaginationIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jsonConfig

    protected net.sf.json.JsonConfig jsonConfig

  Json filter, to not serialize all the properties

Constructor Detail

### GeolocResultsDtoSerializer

    public GeolocResultsDtoSerializer()

  Default Constructor

Method Detail

### serialize

    public void serialize(java.io.OutputStream outputStream,
                          Output.OutputFormat outputFormat,
                          GeolocResultsDto geolocResultsDto,
                          boolean indent,
                          int startPaginationIndex)

  Specified by:
    `serialize` in interface `IGeolocResultsDtoSerializer`
  Parameters:
    `outputStream` - the `OutputStream` to serialize in
    `outputFormat` - the outputFormat we'd like to serialize the geolocResultsDto
    `geolocResultsDto` - the geolocResultsDto to serialize
    `indent` - whether the stream should be indented (if the format support indentation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.